import * as React from 'react';
import { ISearchOptions } from '@finder-stack/core';
export declare type IFindResultsOwnProps = {
    onCompleteSearchQuery?(): void;
    isClear?: boolean;
    switchState?: (type: string, value: boolean) => void;
    isRefetch?: boolean;
    collapseAll?: boolean;
};
export declare type IFindResultsStateProps = {
    width?: number;
    searchOptions?: ISearchOptions;
    rootPath?: string;
    configuration?: any;
    openedFiles?: any;
};
export declare type IFindResultsDispatchProps = {
    setError?: (error: string, type: string) => void;
    setTreeData?: (result: any) => void;
    openFile?: (content: any) => void;
    setSearchOptions?: any;
};
export declare type IFindResultsApiProps = {
    client?: any;
    searchData?: any;
    searchQuery?: any;
    optimisticMutation?: any;
    subscribeToMore?: any;
    handleRefetchData?: any;
    replaceMutate?: any;
    searchTrigger?: any;
    searchStream?: any;
};
export declare type IFindResultsProps = IFindResultsOwnProps & IFindResultsStateProps & IFindResultsDispatchProps & IFindResultsApiProps;
export interface IFindResultsState {
    height?: number;
    treeData?: any;
}
export declare class FindResultsComponent extends React.Component<IFindResultsProps, IFindResultsState> {
    constructor(props: IFindResultsProps);
    componentDidMount(): void;
    componentWillUnmount(): void;
    componentDidUpdate(prevProps: any, prevState: any): void;
    private expand;
    private collapseAll;
    private renderStats;
    private ResultTree;
    render(): JSX.Element;
}
