import * as React from 'react';
import { ISearchOptions } from '@finder-stack/core';
export declare namespace IFinderWidgetComponent {
    type ApiProps = {
        replaceMutate?: any;
        client?: any;
    };
    type OwnProps = {
        onSubmitSearchString(): void;
        isClear?: boolean;
        isDirty?: boolean;
        isTreeChanged?: boolean;
        isTree?: boolean;
        switchState?: (type: string, value: boolean) => void;
        unsubscribe?: any;
        isEndFetch?: boolean;
    };
    type StateProps = {
        searchOptions?: ISearchOptions;
        rootPath: string;
    };
    type DispatchProps = {
        setError?: (error: string, type: string) => any;
        setSearchOptions?: (options: ISearchOptions) => any;
    };
    interface OwnState {
        searchInput: string;
        replaceInput: string;
        inputChanged: boolean;
        filesInclude: string;
        filesExclude: string;
    }
    type Props = OwnProps & StateProps & DispatchProps & ApiProps;
}
export declare class FinderWidgetComponent extends React.Component<IFinderWidgetComponent.Props, IFinderWidgetComponent.OwnState> {
    private constructor();
    componentDidMount(): void;
    componentDidUpdate(prevProps: any, prevState: any): void;
    private keyDown;
    private setExpand;
    private changeSearch;
    private changeReplace;
    private handleReplase;
    private containerRef;
    private setExpandExclude;
    private changeFilesInclude;
    private changeFilesExclude;
    render(): JSX.Element;
}
