import * as SchemaTypes from '@finder-stack/core';
import * as ApolloReactCommon from '@apollo/react-common';
import * as React from 'react';
import * as ApolloReactComponents from '@apollo/react-components';
import * as ApolloReactHoc from '@apollo/react-hoc';
export declare type Omit<T, K extends keyof T> = Pick<T, Exclude<keyof T, K>>;
export declare const TextSearchResultsFragmentDoc: import("graphql").DocumentNode;
export declare const OptimisticStreamDocument: import("graphql").DocumentNode;
export declare type IOptimisticStreamMutationFn = ApolloReactCommon.MutationFunction<SchemaTypes.IOptimisticStreamMutation, SchemaTypes.IOptimisticStreamMutationVariables>;
export declare type OptimisticStreamComponentProps = Omit<ApolloReactComponents.MutationComponentOptions<SchemaTypes.IOptimisticStreamMutation, SchemaTypes.IOptimisticStreamMutationVariables>, 'mutation'>;
export declare const OptimisticStreamComponent: (props: Pick<ApolloReactComponents.MutationComponentOptions<SchemaTypes.IOptimisticStreamMutation, SchemaTypes.IOptimisticStreamMutationVariables>, "children" | "client" | "variables" | "optimisticResponse" | "refetchQueries" | "awaitRefetchQueries" | "errorPolicy" | "update" | "notifyOnNetworkStatusChange" | "context" | "onCompleted" | "onError" | "fetchPolicy" | "ignoreResults">) => JSX.Element;
export declare type IOptimisticStreamProps<TChildProps = {}> = ApolloReactHoc.MutateProps<SchemaTypes.IOptimisticStreamMutation, SchemaTypes.IOptimisticStreamMutationVariables> | TChildProps;
export declare function withOptimisticStream<TProps, TChildProps = {}>(operationOptions?: ApolloReactHoc.OperationOption<TProps, SchemaTypes.IOptimisticStreamMutation, SchemaTypes.IOptimisticStreamMutationVariables, IOptimisticStreamProps<TChildProps>>): (WrappedComponent: React.ComponentType<(TProps & TChildProps) | (TProps & ApolloReactHoc.MutateProps<SchemaTypes.IOptimisticStreamMutation, SchemaTypes.IOptimisticStreamMutationVariables>)>) => React.ComponentClass<TProps, any>;
export declare type OptimisticStreamMutationResult = ApolloReactCommon.MutationResult<SchemaTypes.IOptimisticStreamMutation>;
export declare type OptimisticStreamMutationOptions = ApolloReactCommon.BaseMutationOptions<SchemaTypes.IOptimisticStreamMutation, SchemaTypes.IOptimisticStreamMutationVariables>;
export declare const ReplaceContentDocument: import("graphql").DocumentNode;
export declare type IReplaceContentMutationFn = ApolloReactCommon.MutationFunction<SchemaTypes.IReplaceContentMutation, SchemaTypes.IReplaceContentMutationVariables>;
export declare type ReplaceContentComponentProps = Omit<ApolloReactComponents.MutationComponentOptions<SchemaTypes.IReplaceContentMutation, SchemaTypes.IReplaceContentMutationVariables>, 'mutation'>;
export declare const ReplaceContentComponent: (props: Pick<ApolloReactComponents.MutationComponentOptions<SchemaTypes.IReplaceContentMutation, SchemaTypes.IReplaceContentMutationVariables>, "children" | "client" | "variables" | "optimisticResponse" | "refetchQueries" | "awaitRefetchQueries" | "errorPolicy" | "update" | "notifyOnNetworkStatusChange" | "context" | "onCompleted" | "onError" | "fetchPolicy" | "ignoreResults">) => JSX.Element;
export declare type IReplaceContentProps<TChildProps = {}> = ApolloReactHoc.MutateProps<SchemaTypes.IReplaceContentMutation, SchemaTypes.IReplaceContentMutationVariables> | TChildProps;
export declare function withReplaceContent<TProps, TChildProps = {}>(operationOptions?: ApolloReactHoc.OperationOption<TProps, SchemaTypes.IReplaceContentMutation, SchemaTypes.IReplaceContentMutationVariables, IReplaceContentProps<TChildProps>>): (WrappedComponent: React.ComponentType<(TProps & TChildProps) | (TProps & ApolloReactHoc.MutateProps<SchemaTypes.IReplaceContentMutation, SchemaTypes.IReplaceContentMutationVariables>)>) => React.ComponentClass<TProps, any>;
export declare type ReplaceContentMutationResult = ApolloReactCommon.MutationResult<SchemaTypes.IReplaceContentMutation>;
export declare type ReplaceContentMutationOptions = ApolloReactCommon.BaseMutationOptions<SchemaTypes.IReplaceContentMutation, SchemaTypes.IReplaceContentMutationVariables>;
export declare const SearchStream_Document: import("graphql").DocumentNode;
export declare type ISearchStream_MutationFn = ApolloReactCommon.MutationFunction<SchemaTypes.ISearchStream_Mutation, SchemaTypes.ISearchStream_MutationVariables>;
export declare type SearchStream_ComponentProps = Omit<ApolloReactComponents.MutationComponentOptions<SchemaTypes.ISearchStream_Mutation, SchemaTypes.ISearchStream_MutationVariables>, 'mutation'>;
export declare const SearchStream_Component: (props: Pick<ApolloReactComponents.MutationComponentOptions<SchemaTypes.ISearchStream_Mutation, SchemaTypes.ISearchStream_MutationVariables>, "children" | "client" | "variables" | "optimisticResponse" | "refetchQueries" | "awaitRefetchQueries" | "errorPolicy" | "update" | "notifyOnNetworkStatusChange" | "context" | "onCompleted" | "onError" | "fetchPolicy" | "ignoreResults">) => JSX.Element;
export declare type ISearchStream_Props<TChildProps = {}> = ApolloReactHoc.MutateProps<SchemaTypes.ISearchStream_Mutation, SchemaTypes.ISearchStream_MutationVariables> | TChildProps;
export declare function withSearchStream_<TProps, TChildProps = {}>(operationOptions?: ApolloReactHoc.OperationOption<TProps, SchemaTypes.ISearchStream_Mutation, SchemaTypes.ISearchStream_MutationVariables, ISearchStream_Props<TChildProps>>): (WrappedComponent: React.ComponentType<(TProps & TChildProps) | (TProps & ApolloReactHoc.MutateProps<SchemaTypes.ISearchStream_Mutation, SchemaTypes.ISearchStream_MutationVariables>)>) => React.ComponentClass<TProps, any>;
export declare type SearchStream_MutationResult = ApolloReactCommon.MutationResult<SchemaTypes.ISearchStream_Mutation>;
export declare type SearchStream_MutationOptions = ApolloReactCommon.BaseMutationOptions<SchemaTypes.ISearchStream_Mutation, SchemaTypes.ISearchStream_MutationVariables>;
export declare const SearchStreamDocument: import("graphql").DocumentNode;
export declare type SearchStreamComponentProps = Omit<ApolloReactComponents.QueryComponentOptions<SchemaTypes.ISearchStreamQuery, SchemaTypes.ISearchStreamQueryVariables>, 'query'> & ({
    variables: SchemaTypes.ISearchStreamQueryVariables;
    skip?: boolean;
} | {
    skip: boolean;
});
export declare const SearchStreamComponent: (props: SearchStreamComponentProps) => JSX.Element;
export declare type ISearchStreamProps<TChildProps = {}> = ApolloReactHoc.DataProps<SchemaTypes.ISearchStreamQuery, SchemaTypes.ISearchStreamQueryVariables> | TChildProps;
export declare function withSearchStream<TProps, TChildProps = {}>(operationOptions?: ApolloReactHoc.OperationOption<TProps, SchemaTypes.ISearchStreamQuery, SchemaTypes.ISearchStreamQueryVariables, ISearchStreamProps<TChildProps>>): (WrappedComponent: React.ComponentType<(TProps & TChildProps) | (TProps & ApolloReactHoc.DataProps<SchemaTypes.ISearchStreamQuery, SchemaTypes.ISearchStreamQueryVariables>)>) => React.ComponentClass<TProps, any>;
export declare type SearchStreamQueryResult = ApolloReactCommon.QueryResult<SchemaTypes.ISearchStreamQuery, SchemaTypes.ISearchStreamQueryVariables>;
export declare const SearchStreamContentDocument: import("graphql").DocumentNode;
export declare type SearchStreamContentComponentProps = Omit<ApolloReactComponents.SubscriptionComponentOptions<SchemaTypes.ISearchStreamContentSubscription, SchemaTypes.ISearchStreamContentSubscriptionVariables>, 'subscription'>;
export declare const SearchStreamContentComponent: (props: Pick<ApolloReactComponents.SubscriptionComponentOptions<SchemaTypes.ISearchStreamContentSubscription, SchemaTypes.ISearchStreamContentSubscriptionVariables>, "children" | "client" | "variables" | "fetchPolicy" | "skip" | "shouldResubscribe" | "onSubscriptionData" | "onSubscriptionComplete">) => JSX.Element;
export declare type ISearchStreamContentProps<TChildProps = {}> = ApolloReactHoc.DataProps<SchemaTypes.ISearchStreamContentSubscription, SchemaTypes.ISearchStreamContentSubscriptionVariables> | TChildProps;
export declare function withSearchStreamContent<TProps, TChildProps = {}>(operationOptions?: ApolloReactHoc.OperationOption<TProps, SchemaTypes.ISearchStreamContentSubscription, SchemaTypes.ISearchStreamContentSubscriptionVariables, ISearchStreamContentProps<TChildProps>>): (WrappedComponent: React.ComponentType<(TProps & ApolloReactHoc.DataProps<SchemaTypes.ISearchStreamContentSubscription, SchemaTypes.ISearchStreamContentSubscriptionVariables>) | (TProps & TChildProps)>) => React.ComponentClass<TProps, any>;
export declare type SearchStreamContentSubscriptionResult = ApolloReactCommon.SubscriptionResult<SchemaTypes.ISearchStreamContentSubscription>;
